Create or update Tray health report
Add or update a health report override for a specific Tray. Compute targets the Machine health report, NVSwitch targets the Switch health report, and PowerShelf targets the Power Shelf health report. If the Tray ID uses a recognized component namespace that conflicts with type, the request returns 400. If a valid ID in the selected namespace does not identify an existing resource, the request returns 404.
Org must have an Infrastructure Provider entity that owns the Site. User must have authorization role with PROVIDER_ADMIN suffix.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
id
Component ID of the Tray
Request
This endpoint expects an object.
siteId
ID of the Site that owns the Tray.
type
Tray type used to select the corresponding component health-report resource.
Allowed values:
source
Health report source.
mode
How updates to this health report should be handled
Allowed values:
successes
Results from successful health probes for the Tray.
alerts
Results from failed health probes for the Tray.
Response
OK
source
Health report source.
mode
How this health report was updated
Allowed values:
triggeredBy
Person or system that triggered this health report.
observedAt
Date/time when the health report was observed.
successes
Results from successful health probes for the Machine.
alerts
Results from failed health probes for the Machine.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
504
Gateway Timeout Error